/**
  @page RNG_MultiRNG_IT Multiple Random Numbers Generator under interruption example
  
  @verbatim
  ******************************************************************************
  * @file    RNG/RNG_MultiRNG_IT/readme.txt 
  * @author  MCD Application Team
  * @brief   Description of multiple random numbers generation under interruption example.
  ******************************************************************************
  *
  * Copyright (c) 2017 STMicroelectronics. All rights reserved.
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                       opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  @endverbatim

@par Example Description 

Configuration of the RNG using the HAL API. This example uses RNG interrupts to generate 32-bit long random numbers.

At the beginning of the main program the HAL_Init() function is called to reset 
all the peripherals, initialize the Flash interface and the systick.
Then the SystemClock_Config() function is used to configure the system
clock (SYSCLK) to run at 80 MHz.

The RNG peripheral configuration is ensured by the HAL_RNG_Init() function.
The latter is calling the HAL_RNG_MspInit() function which implements
the configuration of the needed RNG resources according to the used hardware (CLOCK, 
GPIO, DMA and NVIC). You may update this function to change RNG configuration.

User can successively set/remove a jumper between PA.12 (Arduino D2) 
and GND. Each time, the 8-entry array aRandom32bit[] is 
filled up by 32-bit long random numbers.

Each random number generation triggers an interruption which is handled by 
HAL_RNG_ReadyDataCallback() API to retrieve and store the random number.
 
The random numbers can be displayed on the debugger in aRandom32bit variable.

In case of error, LED3 is toggling at a frequency of 1Hz.


@par Directory contents 

  - RNG/RNG_MultiRNG_IT/Inc/stm32l4xx_hal_conf.h    HAL configuration file
  - RNG/RNG_MultiRNG_IT/Inc/stm32l4xx_it.h          Interrupt handlers header file
  - RNG/RNG_MultiRNG_IT/Inc/main.h                  Header for main.c module
  - RNG/RNG_MultiRNG_IT/Src/stm32l4xx_it.c          Interrupt handlers
  - RNG/RNG_MultiRNG_IT/Src/main.c                  Main program
  - RNG/RNG_MultiRNG_IT/Src/stm32l4xx_hal_msp.c     HAL MSP module 
  - RNG/RNG_MultiRNG_IT/Src/system_stm32l4xx.c      STM32L4xx system source file

     
@par Hardware and Software environment

  - This example runs on STM32L432xx devices.
  
  - This example has been tested with NUCLEO-L432KC RevC board and can be
    easily tailored to any other supported device and development board.

@par How to use it ? 

In order to make the program work, you must do the following:
 - Open your preferred toolchain 
 - Rebuild all files and load your image into target memory
 - Run the example
 
 * <h3><center>&copy; COPYRIGHT STMicroelectronics</center></h3>
 */
 